Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class AntDepend

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.optional.depend.Depend
                      org.gradle.api.tasks.compile.AntDepend

    class AntDepend
    extends org.apache.tools.ant.taskdefs.optional.depend.Depend

Constructor Summary
`AntDepend()`

Method Summary
`Path` | `createSrc()`
`void` | `execute()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.Depend
setCache, execute, getClasspath, setClasspath, setClosure, setDump, setWarnOnRmiStubs, setDestDir, createClasspath, setClasspathRef, setSrcdir, add, addDate, setIncludes, setExcludes, setCaseSensitive, setProject, setFollowSymlinks, createPatternSet, createInclude, createIncludesFile, createExclude, createExcludesFile, setIncludesfile, setExcludesfile, setDefaultexcludes, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addAnd, addOr, addNot, addNone, addMajority, addSize, addDifferent, addFilename, addType, addCustom, addContains, addPresent, addDepth, addDepend, addContainsRegexp, addModified, XsetItems, XsetIgnore, log, log, log, log, init, getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, clone, getLocation, getProject, getDescription, setLocation, setDescription, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
add, addDate, setIncludes, setExcludes, setCaseSensitive, setProject, setFollowSymlinks, createPatternSet, createInclude, createIncludesFile, createExclude, createExcludesFile, setIncludesfile, setExcludesfile, setDefaultexcludes, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addAnd, addOr, addNot, addNone, addMajority, addSize, addDifferent, addFilename, addType, addCustom, addContains, addPresent, addDepth, addDepend, addContainsRegexp, addModified, XsetItems, XsetIgnore, log, log, log, log, init, execute, getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, clone, getLocation, getProject, getDescription, setLocation, setDescription, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class org.apache.tools.ant.Task
log, log, log, log, init, execute, getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, clone, getLocation, getProject, getDescription, setLocation, setDescription, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class org.apache.tools.ant.ProjectComponent
clone, log, log, getLocation, getProject, getDescription, setLocation, setDescription, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AntDepend

    AntDepend()

Method Detail

### createSrc

    public Path createSrc()

### execute

    @Override
    public void execute()

Groovy Documentation